net.minecraft.client.gui.achievement

## Class GuiStats

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiScreen
    - - net.minecraft.client.gui.achievement.GuiStats

- All Implemented Interfaces:
    IProgressMeter

      public class GuiStats
      extends GuiScreen
      implements IProgressMeter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `field_146542_f`
    `protected GuiScreen` | `field_146549_a`

    - ### Fields inherited from class net.minecraft.client.gui.GuiScreen

      `allowUserInput, buttonList, fontRendererObj, height, itemRender, labelList, mc, width`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons, zLevel`

    - ### Fields inherited from interface net.minecraft.client.gui.IProgressMeter

      `field_146510_b_`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiStats(GuiScreen par1GuiScreen, StatFileWriter par2StatFileWriter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `actionPerformed(GuiButton p_146284_1_)`
    `boolean` | `doesGuiPauseGame()`
    `void` | `drawScreen(int par1, int par2, float par3)`
    `void` | `func_146509_g()`
    `void` | `func_146541_h()`
    `void` | `initGui()`

    - ### Methods inherited from class net.minecraft.client.gui.GuiScreen

      `confirmClicked, drawBackground, drawCreativeTabHoveringText, drawDefaultBackground, drawHoveringText, drawWorldBackground, func_146283_a, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, keyTyped, mouseClicked, mouseClickMove, mouseMovedOrUp, onGuiClosed, renderToolTip, setClipboardString, setWorldAndResolution, updateScreen`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawGradientRect, drawHorizontalLine, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon, drawVerticalLine, func_146110_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_146549_a

          protected GuiScreen field_146549_a

    - #### field_146542_f

          protected java.lang.String field_146542_f

  - ### Constructor Detail

    - #### GuiStats

          public GuiStats(GuiScreen par1GuiScreen,
                  StatFileWriter par2StatFileWriter)

  - ### Method Detail

    - #### initGui

          public void initGui()

      Overrides:
        `initGui` in class `GuiScreen`

    - #### func_146541_h

          public void func_146541_h()

    - #### actionPerformed

          protected void actionPerformed(GuiButton p_146284_1_)

      Overrides:
        `actionPerformed` in class `GuiScreen`

    - #### drawScreen

          public void drawScreen(int par1,
                        int par2,
                        float par3)

      Overrides:
        `drawScreen` in class `GuiScreen`

    - #### func_146509_g

          public void func_146509_g()

      Specified by:
        `func_146509_g` in interface `IProgressMeter`

    - #### doesGuiPauseGame

          public boolean doesGuiPauseGame()

      Overrides:
        `doesGuiPauseGame` in class `GuiScreen`